from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XLocalizable

@runtime_checkable
class XAddIn(XLocalizable, Protocol):
    def getProgrammaticFuntionName(self, aDisplayName: str) -> str: ...
    def getDisplayFunctionName(self, aProgrammaticName: str) -> str: ...
    def getFunctionDescription(self, aProgrammaticName: str) -> str: ...
    def getDisplayArgumentName(self, aProgrammaticFunctionName: str, nArgument: int) -> str: ...
    def getArgumentDescription(self, aProgrammaticFunctionName: str, nArgument: int) -> str: ...
    def getProgrammaticCategoryName(self, aProgrammaticFunctionName: str) -> str: ...
    def getDisplayCategoryName(self, aProgrammaticFunctionName: str) -> str: ...
